Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ServerRequestInfo Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ServerRequestInfo:

[legend]
Collaboration diagram for PortableInterceptor::ServerRequestInfo:

[legend]
List of all members.

## Public Types
typedef ServerRequestInfo_ptr | _ptr_type
typedef ServerRequestInfo_var | _var_type
## Public Methods
CORBA::Policy | get_server_policy (in CORBA::PolicyType type)
void | set_slot (in SlotId id, in any data) raises (InvalidSlot)
boolean | target_is_a (in CORBA::RepositoryId id)
void | add_reply_service_context (in IOP::ServiceContext service_context, in boolean replace)
virtual CORBA::Any * | sending_exception (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | server_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | orb_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableInterceptor::AdapterName * | adapter_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::OctetSeq * | object_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::OctetSeq * | adapter_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | target_most_derived_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::Policy_ptr | get_server_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_slot (PortableInterceptor::SlotId id, const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )
virtual CORBA::Boolean | target_is_a (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_reply_service_context (const IOP::ServiceContext &service_context, CORBA::Boolean replace ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
ServerRequestInfo_ptr | _duplicate (ServerRequestInfo_ptr obj)
ServerRequestInfo_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerRequestInfo_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerRequestInfo_ptr | _nil (void)
| Return a NULL object. More...
## Public Attributes
readonly attribute any | sending_exception
readonly attribute ServerId | server_id
readonly attribute ORBId | orb_id
readonly attribute AdapterName | adapter_name
readonly attribute CORBA::OctetSeq | object_id
readonly attribute CORBA::OctetSeq | adapter_id
readonly attribute CORBA::RepositoryId | target_most_derived_interface
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| ServerRequestInfo (void)
virtual | ~ServerRequestInfo (void)
## Private Methods
| ServerRequestInfo (const ServerRequestInfo &)
void | operator= (const ServerRequestInfo &)

## Member Typedef Documentation

typedef ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_ptr_type

| Reimplemented from PortableInterceptor::RequestInfo.

typedef ServerRequestInfo_var PortableInterceptor::ServerRequestInfo::_var_type

| Reimplemented from PortableInterceptor::RequestInfo.

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInfo::ServerRequestInfo | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::ServerRequestInfo::~ServerRequestInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ServerRequestInfo::ServerRequestInfo | ( | const ServerRequestInfo & |  | ) | `[private]`

## Member Function Documentation

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_duplicate | ( | ServerRequestInfo_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::ServerRequestInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::RequestInfo.

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::RequestInfo.

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::RequestInfo.

virtual void* PortableInterceptor::ServerRequestInfo::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from PortableInterceptor::RequestInfo.

ServerRequestInfo_ptr PortableInterceptor::ServerRequestInfo::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::RequestInfo.

virtual ::CORBA::OctetSeq* PortableInterceptor::ServerRequestInfo::adapter_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableInterceptor::AdapterName* PortableInterceptor::ServerRequestInfo::adapter_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void PortableInterceptor::ServerRequestInfo::add_reply_service_context | ( | const IOP::ServiceContext & | service_context,
|  | CORBA::Boolean replace | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ServerRequestInfo::add_reply_service_context | ( | in IOP::ServiceContext | service_context,
|  | in boolean | replace
| ) |

virtual ::CORBA::Policy_ptr PortableInterceptor::ServerRequestInfo::get_server_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Policy PortableInterceptor::ServerRequestInfo::get_server_policy | ( | in CORBA::PolicyType | type | ) |

virtual ::CORBA::OctetSeq* PortableInterceptor::ServerRequestInfo::object_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ServerRequestInfo::operator= | ( | const ServerRequestInfo & |  | ) | `[private]`

virtual char* PortableInterceptor::ServerRequestInfo::orb_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual CORBA::Any* PortableInterceptor::ServerRequestInfo::sending_exception | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual char* PortableInterceptor::ServerRequestInfo::server_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void PortableInterceptor::ServerRequestInfo::set_slot | ( | PortableInterceptor::SlotId | id,
|  | const CORBA::Any &data | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableInterceptor::InvalidSlot )`[pure virtual]`

void PortableInterceptor::ServerRequestInfo::set_slot | ( | in SlotId | id,
|  | in any | data
| ) | raises (InvalidSlot)

virtual CORBA::Boolean PortableInterceptor::ServerRequestInfo::target_is_a | ( | const char *id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

boolean PortableInterceptor::ServerRequestInfo::target_is_a | ( | in CORBA::RepositoryId | id | ) |

virtual char* PortableInterceptor::ServerRequestInfo::target_most_derived_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

## Member Data Documentation

int PortableInterceptor::ServerRequestInfo::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from PortableInterceptor::RequestInfo.

readonly attribute CORBA::OctetSeq PortableInterceptor::ServerRequestInfo::adapter_id

readonly attribute AdapterName PortableInterceptor::ServerRequestInfo::adapter_name

readonly attribute CORBA::OctetSeq PortableInterceptor::ServerRequestInfo::object_id

readonly attribute ORBId PortableInterceptor::ServerRequestInfo::orb_id

readonly attribute any PortableInterceptor::ServerRequestInfo::sending_exception

readonly attribute ServerId PortableInterceptor::ServerRequestInfo::server_id

readonly attribute CORBA::RepositoryId PortableInterceptor::ServerRequestInfo::target_most_derived_interface

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h